Description: Set the packaging type of the internal dependencies
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/collections/pom.xml
+++ b/collections/pom.xml
@@ -91,6 +91,7 @@
             <groupId>com.goldmansachs</groupId>
             <artifactId>gs-collections-api</artifactId>
             <version>5.1.0</version>
+            <type>bundle</type>
         </dependency>
 
         <!-- External dependencies -->
--- a/gs-collections-forkjoin/pom.xml
+++ b/gs-collections-forkjoin/pom.xml
@@ -91,12 +91,14 @@
             <groupId>com.goldmansachs</groupId>
             <artifactId>gs-collections-api</artifactId>
             <version>5.1.0</version>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
             <groupId>com.goldmansachs</groupId>
             <artifactId>gs-collections</artifactId>
             <version>5.1.0</version>
+            <type>bundle</type>
         </dependency>
 
         <!-- Testing Dependencies -->
@@ -106,6 +108,7 @@
             <artifactId>gs-collections-testutils</artifactId>
             <version>5.1.0</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
--- a/collections-testutils/pom.xml
+++ b/collections-testutils/pom.xml
@@ -91,12 +91,14 @@
             <groupId>com.goldmansachs</groupId>
             <artifactId>gs-collections-api</artifactId>
             <version>5.1.0</version>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
             <groupId>com.goldmansachs</groupId>
             <artifactId>gs-collections</artifactId>
             <version>5.1.0</version>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
--- a/acceptance-tests/pom.xml
+++ b/acceptance-tests/pom.xml
@@ -46,6 +46,7 @@
             <artifactId>gs-collections-api</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
@@ -53,6 +54,7 @@
             <artifactId>gs-collections</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
@@ -60,6 +62,7 @@
             <artifactId>gs-collections-testutils</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
@@ -67,6 +70,7 @@
             <artifactId>gs-collections-forkjoin</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
--- a/unit-tests/pom.xml
+++ b/unit-tests/pom.xml
@@ -46,6 +46,7 @@
             <artifactId>gs-collections-api</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
@@ -53,6 +54,7 @@
             <artifactId>gs-collections</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
@@ -60,6 +62,7 @@
             <artifactId>gs-collections-testutils</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>
 
         <dependency>
--- a/serialization-tests/pom.xml
+++ b/serialization-tests/pom.xml
@@ -46,6 +46,7 @@
             <artifactId>gs-collections-api</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>

         <dependency>
@@ -53,6 +54,7 @@
             <artifactId>gs-collections</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>

         <dependency>
@@ -60,6 +62,7 @@
             <artifactId>gs-collections-testutils</artifactId>
             <version>${project.version}</version>
             <scope>test</scope>
+            <type>bundle</type>
         </dependency>

         <dependency>
